summaryrefslogtreecommitdiffstats
path: root/games
diff options
context:
space:
mode:
author Gethyn ThomasQuail2015-11-25 12:20:53 +0100
committer Willy Sudiarto Raharjo2015-11-28 01:25:59 +0100
commitf6f36aee2961eedf4d20e039e53f2a3e9e80def1 (patch)
tree430998fec452ae0a902874be2c176c7bbd552aeb /games
parentf8d31f1f93889a06adee9cb3fb3626af8e882b0d (diff)
downloadslackbuilds-f6f36aee2961eedf4d20e039e53f2a3e9e80def1.tar.gz
games/wmquake: Added (Quake DockApp).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'games')
-rw-r--r--games/wmquake/README16
-rw-r--r--games/wmquake/slack-desc19
-rw-r--r--games/wmquake/wmquake4
-rw-r--r--games/wmquake/wmquake.SlackBuild100
-rw-r--r--games/wmquake/wmquake.info10
5 files changed, 149 insertions, 0 deletions
diff --git a/games/wmquake/README b/games/wmquake/README
new file mode 100644
index 0000000000..f0b131e499
--- /dev/null
+++ b/games/wmquake/README
@@ -0,0 +1,16 @@
+Run id Software's legendary Quake inside a dockapp! Play full on software Quake, mods, or
+let it play demos. Fixed by Eukos for newer systems.
+
+Notes:
+
+Be sure to start it with -nosound other wise it will segfault!
+
+Sound will not work because it uses a very old method. It MAY work on a system with
+OSS3 installed. The OSS version on SBo (OSS4) will NOT work with this game and neither
+will aoss for ALSA users.
+
+This SlackBuild moves the executable into, "/usr/share/games/quake/wmquake". This is to allow
+other Quake engines to be placed in here, for example: "/usr/share/games/quake/darkplaces".
+
+Your id1 folder (and mods) must go into, "/usr/share/games/quake/wmquake", for there is no home
+folder for data. You should have permissions to modify this folder with the games group.
diff --git a/games/wmquake/slack-desc b/games/wmquake/slack-desc
new file mode 100644
index 0000000000..9f40084c05
--- /dev/null
+++ b/games/wmquake/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler--------------------------------------------------------|
+wmquake: wmquake (Quake DockApp)
+wmquake:
+wmquake: Run id Software's legendary Quake inside a dockapp! Play full on
+wmquake: software Quake, mods, or let it play demos. Fixed by Eukos for newer
+wmquake: systems.
+wmquake:
+wmquake: Homepage: http://bloodbathsoftworks.com/eukara/
+wmquake:
+wmquake:
+wmquake:
+wmquake:
diff --git a/games/wmquake/wmquake b/games/wmquake/wmquake
new file mode 100644
index 0000000000..fcdeb2c665
--- /dev/null
+++ b/games/wmquake/wmquake
@@ -0,0 +1,4 @@
+ #!/bin/bash
+
+cd /usr/share/games/quake/wmquake
+./wmquake $*
diff --git a/games/wmquake/wmquake.SlackBuild b/games/wmquake/wmquake.SlackBuild
new file mode 100644
index 0000000000..086123b64e
--- /dev/null
+++ b/games/wmquake/wmquake.SlackBuild
@@ -0,0 +1,100 @@
+#!/bin/sh
+
+# Slackware build script for wmquake
+#
+# Copyright 2015 Gethyn ThomasQuail <gethyn@bloodbathsoftworks.com>
+# All rights reserved.
+#
+# Based on:
+# SBo's cmake-template
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=wmquake
+VERSION=${VERSION:-1.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+make
+
+# Makes shared game folder
+mkdir -p $PKG/usr/share/games/quake/wmquake
+mkdir -p $PKG/usr/games
+
+# Make it so games group can access folder
+chgrp games $PKG/usr/share/games/quake/wmquake
+chmod 774 $PKG/usr/share/games/quake/wmquake
+
+# Copies over compiled binary
+cp -a wmquake $PKG/usr/share/games/quake/wmquake
+
+# Copies over shell script to play with ease
+cp -a $CWD/wmquake $PKG/usr/games
+chmod 0755 $PKG/usr/games/wmquake
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a README.INSTALL README.source README.wmquake $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/games/wmquake/wmquake.info b/games/wmquake/wmquake.info
new file mode 100644
index 0000000000..32ce586e8a
--- /dev/null
+++ b/games/wmquake/wmquake.info
@@ -0,0 +1,10 @@
+PRGNAM="wmquake"
+VERSION="1.1"
+HOMEPAGE="http://bloodbathsoftworks.com/eukara/files/index.php?dir=UNIX%2Fapplications%2F"
+DOWNLOAD="http://bloodbathsoftworks.com/eukara/files/UNIX/applications/wmquake-1.1.tar.gz"
+MD5SUM="e84db45c669efd6bbfced8121512245b"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Gethyn ThomasQuail"
+EMAIL="gethyn@bloodbathsoftworks.com"